Errors drawing

Visualizes SQL Server object dependencies.

Moderators: David Atkinson, Anu Deshpande

Errors drawing

Postby Glyphi » Wed May 31, 2006 4:28 pm

I'm trying out your tracker, it throws an error whilst drawing:

SQL Dependency Tracker has encountered an unexpected condition.

The type com.ms.vjsharp.util.VJSPermission in Assembly vjslib, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a is not marked as serializable.
SerializationException

at System.Windows.Forms.Control.MarshaledInvoke(Control caller, Delegate method, Object[] args, Boolean synchronous)
at System.Windows.Forms.Control.Invoke(Delegate method, Object[] args)
at System.Windows.Forms.Control.Invoke(Delegate method)
at _76._1(_110 )
at _121._1(INetwork , _63 , _56 , _1 , _110 )
at _111._1(_56 , _63 )
at _111.DoOperation(Object args)
at _131._1(Object )


Can you help?
Glyphi
 
Posts: 3
Joined: Wed May 31, 2006 4:21 pm

Drawing error

Postby Bart Read » Fri Jun 02, 2006 9:30 am

Hi there Glyphi,


Sorry for the delay in replying to you. We've been puzzling over this for a couple of days but it actually seems like the answer's fairly simple. The problem appears to be that you have the Visual J# Runtime for .NET framework 1.0, and the software is attempting to use that, which obviously won't work. What is more of interest is why this is happening.

First off, you need to be certain that you have the .NET framework 1.1 or 2.0 installed, although as far as I know SQL Dependency Tracker should not install at all unless one of these is already on the machine.

Now, it's possible that our installer may have incorrectly detected the version of vjslib that you have installed, and taken the presence of the 1.0 DLL as confirmation that you have the required library. At present we're not sure about this as we've not had a chance to test it.

The solution is fortunately fairly simple as well. You just need to download and install the Visual J# Redistributable that matches your installed .NET framework version from http://msdn.microsoft.com/vjsharp/downl ... fault.aspx. If you have both .NET 1.1 and .NET 2.0 installed you should download the version for .NET 1.1 since SQL Dependency Tracker will run with .NET 1.1 by default and will not run if you have both versions of the framework but only the 2.0 J# distributable installed.

I'm sorry for the problems you've had with this. We're currently looking into why this has happened, and either myself or one of my colleagues will post up here again as soon as we have more information.


Kind regards,
Bart Read
Principal Consultant
bartread.com Ltd
Bart Read
 
Posts: 977
Joined: Thu Mar 31, 2005 11:17 am
Location: Cambridge, UK

Postby Glyphi » Mon Jul 31, 2006 12:26 pm

Don't worry, as you can see It took me ages to spot your reply! The fix works - sadly my trial period has expired.

Many thanks, Glyn
Glyphi
 
Posts: 3
Joined: Wed May 31, 2006 4:21 pm

Postby Dan J Archer » Mon Jul 31, 2006 6:19 pm

Hey Glyn,

Under the circumstances, if you send me a private message I'll see about getting your trial extended if you'd like to continue evaluating the product.

Regards,

Dan
Dan J Archer
 
Posts: 81
Joined: Mon Oct 10, 2005 11:15 am
Location: Red Gate Software

Postby Glyphi » Wed Jan 31, 2007 9:57 am

Whoops, I never did get back to you - sorry for the rudeness. I will when time and tide allow. Many thanks!

Glyn
Glyphi
 
Posts: 3
Joined: Wed May 31, 2006 4:21 pm


Return to SQL Dependency Tracker 2

Who is online

Users browsing this forum: No registered users and 0 guests

cron